﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Example
{
	public partial class MainPage : UserControl
	{
		int eventCounter = 0;
		public MainPage()
		{
			InitializeComponent();
		}

		private void radUpload_UploadCanceled(object sender, EventArgs e)
		{
			this.Log("Upload Canceled");
		}

		private void radUpload_UploadFinished(object sender, EventArgs e)
		{
			this.Log("Upload Finished");
		}

		private void radUpload_UploadPaused(object sender, EventArgs e)
		{
			this.Log("Upload Paused");
		}

		private void radUpload_UploadResumed(object sender, EventArgs e)
		{
			this.Log("Upload Resumed");
		}

		private void radUpload_UploadStarted(object sender, Telerik.Windows.Controls.UploadStartedEventArgs e)
		{
			this.Log("Upload Started");
		}

		private void radUpload_FileUploaded(object sender, Telerik.Windows.Controls.FileUploadedEventArgs e)
		{
			this.Log("File Uploaded");
		}

		private void radUpload_FileUploadStarting(object sender, Telerik.Windows.Controls.FileUploadStartingEventArgs e)
		{
			this.Log("File Upload Starting");
		}

		private void radUpload_FileUploadFailed(object sender, Telerik.Windows.Controls.FileUploadFailedEventArgs e)
		{
			this.Log("<<File Upload Failed>>  " + e.HandlerData.Message);
		}

		private void Log(string info)
		{
			this.logPad.Text = eventCounter++.ToString() + ": " + info + Environment.NewLine + this.logPad.Text;
			if (this.logPad.Text.Length > 10000)
			{
				this.logPad.Text = this.logPad.Text.Substring(0, 10000);
			}
		}

	}
}
